import { Component, ViewChild } from '@angular/core';
import { IgTreeComponent } from 'igniteui-angular-wrappers';
import { ProductCategories } from './product-categories';

@Component({
  selector: 'igtree-component',
  templateUrl: './igtree.component.html'
})
export class TreeComponent {
  public options: IgTree;
  public data: any;
  @ViewChild('tree', { static: true }) tree: IgTreeComponent;

  constructor() {
    this.data = ProductCategories.getData();

    this.options = {
      bindings: {
        childDataProperty: 'ProductSubcategories',
        textKey: 'Name',
        valueKey: 'ProductCategoryID'
      }
    };
  }
}
